Package com.sap.ai.sdk.core.model

# Enum Class RTAExecution.StatusEnum

java.lang.Object
java.lang.Enum<RTAExecution.StatusEnum>
com.sap.ai.sdk.core.model.RTAExecution.StatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<RTAExecution.StatusEnum>`, `Constable`

Enclosing class:
  `RTAExecution`

public static enum RTAExecution.StatusEnum extends Enum<RTAExecution.StatusEnum>
Status of the execution

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  The COMPLETED option of this RTAExecution
  `DEAD`
  The DEAD option of this RTAExecution
  `PENDING`
  The PENDING option of this RTAExecution
  `RUNNING`
  The RUNNING option of this RTAExecution
  `STOPPED`
  The STOPPED option of this RTAExecution
  `STOPPING`
  The STOPPING option of this RTAExecution
  `UNKNOWN`
  The UNKNOWN option of this RTAExecution
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this RTAExecution

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTAExecution.StatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static RTAExecution.StatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RTAExecution.StatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### PENDING

    public static final RTAExecution.StatusEnum PENDING
    The PENDING option of this RTAExecution

  - ### RUNNING

    public static final RTAExecution.StatusEnum RUNNING
    The RUNNING option of this RTAExecution

  - ### COMPLETED

    public static final RTAExecution.StatusEnum COMPLETED
    The COMPLETED option of this RTAExecution

  - ### DEAD

    public static final RTAExecution.StatusEnum DEAD
    The DEAD option of this RTAExecution

  - ### STOPPING

    public static final RTAExecution.StatusEnum STOPPING
    The STOPPING option of this RTAExecution

  - ### STOPPED

    public static final RTAExecution.StatusEnum STOPPED
    The STOPPED option of this RTAExecution

  - ### UNKNOWN

    public static final RTAExecution.StatusEnum UNKNOWN
    The UNKNOWN option of this RTAExecution

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final RTAExecution.StatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this RTAExecution

- ## Method Details

  - ### values

    public static RTAExecution.StatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RTAExecution.StatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<RTAExecution.StatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static RTAExecution.StatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type RTAExecution